! ############################################################
!            Satellite Data Simulation Unit v2
!                   -  out_radar_bmcv -
!
! This subroutine writes out radar echo with beam convolution applied.
!
!              Updated from convolv-fov.f by H. M. (May, 2009)
!
 Subroutine out_radar_bmcv ( ifile )
   Use MAINparameters
   Use BMCVparameters
   Implicit NONE
!
! I/O parameters
!
   Integer, intent(in) :: ifile
!
! Local variables
!
   Character*100 pathandfile,filename
   Integer :: i, j, k, nf
!
   filename = CRM_file_list(ifile)
!
! Write out radar echo at the FOV resolution
!
   pathandfile = outputdir//trim(filename)//'.rdr.fov'
   open(unit= 31, file = pathandfile, access = 'direct', &
                  recl = (nlyr+1)*ngridx*ngridy*mxfreq_radar*4 )
!
   write(31,rec=1)((((dBZ_out(nf,i,j,k),i=1,ngridx),j=1,ngridy), &
                                                      k=1,nlyr), &
                    ((PIA_out(nf,i,j)  ,i=1,ngridx),j=1,ngridy), &
                                             nf=1,mxfreq_radar)
!
   deallocate ( dBZ_out, PIA_out )
   Close ( 31 )
!
   Return
 End Subroutine out_radar_bmcv
