 SUBROUTINE WATOPTIC (FREQHZ, KTEMP, SALINITY, EPSREAL, EPSIMAG)
   IMPLICIT NONE
!
!  SAVE
   DOUBLE PRECISION :: FAC1
   DOUBLE PRECISION :: KTEMP, CTEMP, SALINITY
!
   DOUBLE PRECISION :: EPSSTAT, EPSREAL, EPSIMAG
   DOUBLE PRECISION :: TRELAX, FREQHZ, OMEGA
!
   DOUBLE PRECISION, PARAMETER :: PI = 3.141592653589793D+00
!  DOUBLE PRECISION, PARAMETER :: CONV = 0.017453292D+00
!  DOUBLE PRECISION, PARAMETER :: GHZTOHZ = 1.0D+09
!  DOUBLE PRECISION, PARAMETER :: EPS0 = 8.854D-12
   DOUBLE PRECISION, PARAMETER :: EPSHIGH = 4.9D+00
!
   CTEMP = KTEMP - 273.15D+00
   OMEGA = (PI + PI) * FREQHZ
!
   EPSSTAT = (87.134D+00 &
             - 1.949D-01 * CTEMP &
             - 1.276D-02 * CTEMP * CTEMP &
             + 2.491D-04 * CTEMP * CTEMP * CTEMP) &
             * ( 1.0D+00 &
             + 1.613D-05 * SALINITY * CTEMP &
             - 3.656D-03 * SALINITY &
             + 3.210D-05 * SALINITY * SALINITY &
             - 4.232D-07 * SALINITY * SALINITY * SALINITY)
!
   TRELAX = (1.768D-11 &
           - 6.086D-13 * CTEMP &
           + 1.104D-14 * CTEMP * CTEMP &
           - 8.111D-17 * CTEMP * CTEMP * CTEMP) &
           * ( 1.0D+00 &
           + 2.282D-05  * SALINITY * CTEMP &
           - 7.638D-04  * SALINITY &
           - 7.760D-06  * SALINITY * SALINITY &
           + 1.105D-08  * SALINITY * SALINITY * SALINITY)
!
   FAC1    = 1.0D+00 + OMEGA * OMEGA * TRELAX * TRELAX
   EPSREAL = EPSHIGH + (EPSSTAT - EPSHIGH) / FAC1
   EPSIMAG = ((EPSSTAT - EPSHIGH) * OMEGA * TRELAX) / FAC1
!
   RETURN
 END SUBROUTINE WATOPTIC
